Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Interface JRExporterContext

All Known Subinterfaces:
  JExcelApiExporterContext, JRDocxExporterContext, JRHtmlExporterContext, JROdsExporterContext, JROdtExporterContext, JRPdfExporterContext, JRPptxExporterContext, JRRtfExporterContext, JRXlsExporterContext, JRXlsxExporterContext, JRXmlExporterContext

All Known Implementing Classes:
  JExcelApiExporter.ExporterContext, JRAbstractExporter.BaseExporterContext, JRDocxExporter.ExporterContext, JRHtmlExporter.ExporterContext, JROdsExporter.ExporterContext, JROdtExporter.ExporterContext, JRPdfExporter.ExporterContext, JRPptxExporter.ExporterContext, JRRtfExporter.ExporterContext, JRXhtmlExporter.ExporterContext, JRXlsExporter.ExporterContext, JRXlsxExporter.ExporterContext, JRXmlExporter.ExporterContext

    public interface JRExporterContext

A context that represents information about an export process.

Version:
  $Id: JRExporterContext.java 3083 2009-10-02 12:25:33Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`JasperPrint` | `getExportedReport()` Returns the report which is currently exported.
`JRExporter` | `getExporter()` Returns the current exporter.
`java.util.Map` | `getExportParameters()` Returns the map of export parameters.
`java.lang.String` | `getExportPropertiesPrefix()` Returns the properties prefix for the current exporter.
`int` | `getOffsetX()` Returns the current X-axis offset at which elements should be exported.
`int` | `getOffsetY()` Returns the current Y-axis offset at which elements should be exported.

Method Detail

### getExporter

    JRExporter getExporter()

  Returns the current exporter.

  Returns:
    current exporter

### getExportedReport

    JasperPrint getExportedReport()

  Returns the report which is currently exported.

  Returns:
    currently exported report

### getExportPropertiesPrefix

    java.lang.String getExportPropertiesPrefix()

  Returns the properties prefix for the current exporter.

  Returns:
    the properties prefix for the current exporter

### getExportParameters

    java.util.Map getExportParameters()

  Returns the map of export parameters.

  The map uses `JRExporterParameter` instances as keys.

  Returns:
    the map of export parameters

### getOffsetX

    int getOffsetX()

  Returns the current X-axis offset at which elements should be exported.

  Returns:
    the current X-axis offset

### getOffsetY

    int getOffsetY()

  Returns the current Y-axis offset at which elements should be exported.

  Returns:
    the current Y-axis offset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com